2020-02-09  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.46.6

2020-02-05  Rico Tzschichholz  <ricotz@ubuntu.com>

	testrunner: Invalid tests and therefore expected failures must return 1

	vala: Don't ignore errors in Parameter and acknowledge them further
	This avoids useless subsequent errors and possible criticals while
	operating on broken AST.

2020-02-04  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Fix base-access check for compact classes (2)
	See 84de99560ee96afa8cb80db3b342d584a72188cd

	Correct a few spelling errors in user visible strings

	gtk4: Update to 3.96.0+4ab12ab7

	codegen: Explicitly include <glib.h> as needed for null-literal

	codegen: Explicitly include header for length-type of arrays

	vala: Inline allocated arrays require length or initializer
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/903

	tests: Add more "parser" tests to increase coverage

2020-02-04  Princeton Ferro  <princetonferro@gmail.com>

	vala: Improve detection of recursive struct declarations
	Introduced with da2d58c95f39fd142dc845f5df9cdcd55be32476

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/902

2020-02-04  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Handle different type-symbols in visit_base_access()
	It is required to distinguish between classes, compact classes, structs
	and simple-type structs.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/901

	codegen: Skip StructRegisterFunction for boolean/integer/floating types
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/901

	vala: Fix base-access check for compact classes
	See 84de99560ee96afa8cb80db3b342d584a72188cd

	gtk+-3.0: Update to 3.24.13+3822ac74

	gstreamer: Update from 1.17.0+ git master

	gtk4: Update to 3.96.0+7e2e92a8

	webkit2gtk-4.0: Update to 2.27.4

	webkit2gtk-4.0: Update to 2.27.3

	Regenerate for GIR-based bindings to apply explicit ctype attributes

	girparser: Apply explicitly given ctype metadata attributes on callables

	girparser: Improve source_reference of parameters

	codegen: Cast instance parameter in member-initializer for base-properties
	This fixes warnings issued with -Wincompatible-pointer-types

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/899

2020-02-04  Princeton Ferro  <princetonferro@gmail.com>

	vala: Always bail if there are semantic errors
	Previously introduced by 1430c461d4a45026331663989113feb195588255

2020-02-04  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Use result value of assignment rather than its computation
	An inline assignment of an array-length, like

	    int j = --i.length;

	resulted in a faulty tranformation

	    i_length1 = i_length1 - 1;
	    j = i_length1 - 1;

	Regression of 80d4bf61e0c3100c839f3fdbcb5218996b6afd5f

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/895

2020-02-04  Princeton Ferro  <princetonferro@gmail.com>

	parser: Extend source_reference of parenthesized expr to cover "( ... )"

2020-02-04  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Don't set implemenation of interface property to its own
	A base-class is allowed to provide interface implementations for methods
	and properties. If those exist without an explicit implementation in the
	sub-class we then we end up finding the interface property itself. Using
	that is obviously wrong and causes a cyclic call stack.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/891

2020-02-04  Jeremy Philippe  <jeremy.philippe@gmail.com>

	genie: Fix parser's inner state when a struct is declared after a class
	If the struct is declared after a class and has a default creation
	method, the parser will raise a "missing return type in method ..."
	error.

	The cause of the bug is that the global 'class_name' variable is not
	updated when the parser encounters a struct, so the previous value
	is used, and if a class has been parsed before, this value will be the
	name of the class instead of the struct.

	vala: Allow to override base interface properties explicitly

2020-02-04  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Check before accessing "name" of parent_symbol which might be null

	glib-2.0: Add to_string() for GLib.PollFd and GLib.Pid

	vala: Don't allow "va_list" as return-type or type of fields
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/884

	vala: Improve error message for unsupported inner types and declarations

	test: Add some "method-call" tests to increase coverage

	vala: Don't report further errors if MemberInitializer.check() failed

	vala: Don't ignore inner errors in Block and acknowledge them further
	This avoids useless subsequent errors and possible criticals while
	operating on broken AST.

	codegen: Fix precondition in creation method of structs

	parser: Implicit "main" method of main-block is public and static

	tests: Add "member-access" tests to increase coverage

	tests: Add "scanner" tests to increase coverage

	tests: Extend "float and integer" tests to increase coverage

	vala: Add a basic parameter check for [Print] methods
	and add tests to increase coverage

	Introdruced with ea8cd97480a7a560cfd8ae3f060f63638b7d9de4

	tests: Fix and make fast-vapi test actually fatal

2019-11-19  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Keep formal_target_type when transforming method-call/object-creation
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/835

	vala: VoidType is actually compatible with itself
	See https://gitlab.gnome.org/GNOME/vala/issues/878

2019-11-18  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.46.5

	tests: Add "invalid address-of" test to increase coverage

2019-11-15  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Don't require constant initializer in fast-vapi
	Regression of 984c034256de3830d6daa0ab6f5eff108dea09bb

	Extend --fast-vapi test by using --use-fast-vapi

	See https://github.com/dino/dino/issues/646
	and https://gitlab.gnome.org/GNOME/vala/issues/461

	codegen: Fix vfunc signature of delegate-typed property in interface

	vala: Report error for async creation expression without yield

	codegen: Fix support of dynamic DBus methods

	test: Add "GLib.Closure parameter" test to increase coverage

	test: Add "GLib.Log constants" tests to increase coverage

2019-11-11  Rico Tzschichholz  <ricotz@ubuntu.com>

	glib-2.0: Add "has_typedef = false" to custom MarkupParser*Func delegates

	Release 0.46.4

2019-11-07  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Skip _MountOperationHandler* symbols

	webkit2gtk-4.0: Update to 2.27.2

	webkit2gtk-4.0: Update to 2.27.1

	gio-2.0: Use custom TaskReadyCallback delegate in Task.report*_error()

	gtk4,gtk4-unix-print: Update to 3.96.0+ab407ba5

	gstreamer: Update from 1.17.0+ git master

	vala: Restore DestroysInstance behaviour for non-compact classes
	Although this attribute is not meant to be applied on methods of reference
	counted classes, the original behaviour should not be changed silently.

	Regression of 3d83f31a659bd179e8a867dd054126ac6f22e82b

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/873

2019-11-07  Ole André Vadla Ravnås  <oleavr@gmail.com>

	vala: Add missing gmodule-2.0 to Requires.private of pkg-config file

2019-11-07  Rico Tzschichholz  <ricotz@ubuntu.com>

	libvaladoc: Move gmodule-2.0 to Requires.private of pkg-config file
	It is not required by the public API

	g-i: Ignore flags like -mfpmath=sse, -msse or -msse2

	g-i: Avoid use of uninitialized "markup" warning

	g-i: Calculate size correctly, avoid use-after-free

	vala: Write value of constants/enums in fast-vapi if they are constant only
	Introduced by 89a1243a4f066cc9652b26f86eb94fd038874982

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/461

	codegen: Reduce code duplications when generation base-access

2019-11-04  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Make type-parameter properties readable
	Those are immutable while being construct-only properties.

	See https://gitlab.gnome.org/GNOME/vala/issues/190

	tests: Add invalid "multiple base classes" tests to increase coverage

	vala: Improve error reporting for invalid interface prerequisites
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/437

	girwriter: Add readable="0"/private="1" attribute to type-specific fields

2019-11-01  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Fix setting of generic-type properties for gobject style chain up
	Correctly refer to their canonical names.

	See https://bugzilla.gnome.org/show_bug.cgi?id=654702

2019-10-30  Florian Brosch  <flo.brosch@gmail.com>

	vala: Improve error message for arrays as type arguments

	vala: Do not allow to change .length of arrays with fixed length
	This would result in invalid C code.

	vala: Do not allow to .resize() on arrays with fixed length

	vala: Infer array length of inline allocated arrays for fields
	Don't allow non-arrays as initializer for inline allocated arrays

	Same as 0f0bca7e0519af13d9217fbca2c20ce67cd3baba

	See https://bugzilla.gnome.org/show_bug.cgi?id=644046

	vala: Do not allow += for arrays with fixed length

2019-10-28  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Don't falsely resolve binary-expression to bool
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/869

	linux: Add memfd_create(2)

	tests: Add invalid "silent cast of array" test to increase coverage

	tests: Add "typeof" tests for fundamental GLib.Type

	vala: Issue warning when passing arrays to typeof(), except for "string[]"
	Passing arrays resolve to G_TYPE_INVALID, and "string[]" to G_TYPE_STRV

	See https://gitlab.gnome.org/GNOME/vala/issues/868

	girparser: Detect and replace "-" in parameter names
	... to avoid generating bindings with invalid syntax.

2019-10-22  Rico Tzschichholz  <ricotz@ubuntu.com>

	libuse-1.0: Remove unused private "malloc" binding

	posix: Bind some essential memory allocation functions

	libusb-1.0: Don't depend on glib-2.0

	tests: Extend "property base-access" interface test to increase coverage

	codegen: Use G_TYPE_INSTANCE_GET_INTERFACE to get vtable for base-access
	Usage of the pre-assigned *_parent_iface field is only possible in classes
	which explicitly implement an interface.

	tests: Add "default-handler with base-access" signal test to increase coverage

	tests: Extent "post-condition" virtual method test to increase coverage

	codegen: Drop unreachable and misplaced code
	Dropped with 8aa6299ea7a39e7a652ce3896324aaa47af99a18 and falsely
	reintroduced with 7a429688cdf0fd16cc1503a7666681792e309da8

	tests: Extent "girwriter" test to increase coverage

	tests: Add "wrongly named constructor" tests

	codegen: ErrorType is not a Symbol

2019-10-14  Rico Tzschichholz  <ricotz@ubuntu.com>

	parser: `owned` is not allowed on Constants
	This avoids criticals and broken c-code.

	glib-2.0: Guard against passing null source to GLib.Memory.copy()
	Found by -fsanitize=undefined

	libvaladoc: Drop unused code

	libvaladoc: Fix ownership declarations of Constants

	libvaladoc: Fix parameter and property ownership declarations

	valadoc/tests: Use type for property which is compatible with owned getter

2019-10-09  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.46.3

2019-10-08  Rico Tzschichholz  <ricotz@ubuntu.com>

	Regenerate GIR-based bindings to pick up copy/free attributes
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/863

	codegen: Use gtype-boxed API for structs with "g_boxed_free" attribute
	See https://gitlab.gnome.org/GNOME/vala/issues/863

	girparser: Add required copy/free attributes for gtype-boxed structs
	See https://gitlab.gnome.org/GNOME/vala/issues/863

2019-10-05  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Perform syntax and semantic check for all bindings on "make check"

	vala: Don't issue a warning for non-public struct fields in bindings

	tokyocabinet: Fix deprecation warnings

	gnutls: Fix "use of possibly unassigned parameter" warnings

	avahi-client: Fix "use of possibly unassigned parameter" warnings

	xcb: Fix "missing return statement at end of subroutine body" errors

	vala: Fix compatible/disposable check between structs and their subtypes
	This fixes memory leaks due to missing copy/destroy and improperly created
	dup functions and allows direct assignment between structs and their
	subtypes.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/861

	tests: Extend "fastvapi" test to increase coverage

2019-10-04  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Add dedicated "delegate without target through varargs" test

	codegen: Silence warning about copying if delegate doesn't carry its target

	codegen: Initialize delegate temp-var which is assigned by property getter
	Found by -Werror=maybe-uninitialized

	codegen: Preserve full access to delegate variables and its target/destroy cvalues
	Don't unconditionally set delegate_target_destroy_notify_cvalue to NULL for any
	variable access.

	glib-2.0: Set default_value attribute for GLib.pointer

	docs: Mention requirement of autoconf-archive as build-dependency

	ccode: Implicitly register declaration for added CCodeFunction
	This will prevent the user's vala source to override implicitly defined
	functions of vala's boilerblate for a type.

	codegen: Accept children after generating type specific declarations

2019-09-30  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.46.2

	gtk4: Constructors of Gtk.MediaFile needs to be static functions

	gtk4: Update to 3.96.0+bcea9652

	gstreamer: Update from 1.17.0+ git master

	vala: Perform stricter compatibility check for delegates
	This currently requires to consider compatible delegates as equal.

2019-09-28  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Allow to override virtual interface implementations
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/852

2019-09-24  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Output "params" qualifier of parameters

	vala: Report dedicated error message for params-array parameter mismatch

	tests: Add more "invalid expression" tests to increase coverage

	tests: Add "main block" parser test to increase coverage

	tests: Extent "post-condition" creation method test to increase coverage

	tests: Extend preprocessor-vala test with VALA_0_46

2019-09-23  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Add invalid "parser" tests to increase coverage

	tests: Add "qualified member/symbol access" tests to increase coverage

2019-09-22  Rico Tzschichholz  <ricotz@ubuntu.com>

	gio-unix-2.0: Fix DesktopAppInfo.get_string(), UnixFDMessage.steal_fds()
	... and DesktopAppInfoLookup.get_default_for_uri_scheme()

	Additionally adjust some header references.

	Directly use "memmove()" while g_memmove() is deprecated since 2.40

	gobject-2.0: Some cherry-picking from GIR generated binding

	valadoc: Explicitly pass --pkg libgvc
	... to deal with a race with valadoc@PACKAGE_SUFFIX@.deps generation

	Revert "libvaladoc: Include valadoc@PACKAGE_SUFFIX@.deps into tarball"
	This reverts commit 53b09d40ae78f119e4efc853663db43b9a1ff7b8.

2019-09-18  Arnaud Bonatti  <arnaud.bonatti@gmail.com>

	glib-2.0: DateTime.from_iso8601() can take a null TimeZone

2019-09-17  Rico Tzschichholz  <ricotz@ubuntu.com>

	libvaladoc: Include valadoc@PACKAGE_SUFFIX@.deps into tarball
	While valadoc@PACKAGE_SUFFIX@.vapi is included there is no reason to
	exclude this one.

2019-09-16  Rico Tzschichholz  <ricotz@ubuntu.com>

	sqlite3: Fix use of possibly unassigned parameter `errmsg'

	Release 0.46.1

2019-09-15  Rico Tzschichholz  <ricotz@ubuntu.com>

	gio-unix-2.0: Add UnixMountEntry.get_root_path() since 2.60

	gstreamer: Update from 1.17.0+ git master

	gtk4: Update to 3.96.0+97231ca2

	gtk+-3.0: Fix ownership mismatch of ColorButton.rgba property-accessor
	Regression of 9a5cc9e58e160d8bb5308fe5bfc8b433d8c269f5 in combination with
	our gtk+-3.0 metadata:

	    // Keep properties non-abstract as before
	    *#interface.*#property abstract=false

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/844

2019-09-14  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Run FlowAnalyzer on all given source-files
	This is a regression triggered by 8f3a0a0b64e0c7fbcc9231c3058247920dd6eeda
	where we rely on information gathered by it and its changes to the AST.

	Silence "never used" warnings for external-package symbols.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/843

2019-09-09  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

	valadoc: Explicitly pass --pkg libvala@PACKAGE_SUFFIX@ as for doclets/tests

2019-09-05  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.46.0

2019-09-04  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Reject unary operations on nullable integer/floating and boolean type
	Prefer to report a semantic error rather than creating invalid c-code.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/772

	libvaladoc: Don't traverse into close circles with parent
	SymbolResolver.resolve_thrown_list() adds error-type nodes which are
	allowed to be NodeType.ERROR_DOMAIN and NodeType.CLASS.

	This can result in a cycle on invoking Node.accept_all_children(),
	Node.parse_comments() or Node.check_comments()

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/829

2019-09-03  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Exclude nullable simple-type structs from gobject-property support
	Defining "bool? { owned get; set; }" in a GObject class resulted in:

	  "error: The type `bool' doesn't declare a GValue take function"

	Fixes a regression of 3af1cfb3bf6b1d3d4a8116382e6eda702f7335bf and reverts
	to the old behavior for nullable simple-type structs.

2019-09-03  Jeremy Philippe  <jeremy.philippe@gmail.com>

	tests: Add regression test for genie struct construction

2019-09-03  Rico Tzschichholz  <ricotz@ubuntu.com>

	genie: Creation methods should not be static
	Revealed by ba8122d3a64e44eac44c5254c93fb181df601b0a

2019-09-02  Rico Tzschichholz  <ricotz@ubuntu.com>

	json-glib-1.0: Change abstract methods of Serializable to virtual
	All those interface methods have default implementations. Additionally drop
	superfluous metadata.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/840

	Add boolean CodeContext.keep_going and corresponding compiler option
	If keep_going is set then check() will continue after hitting errors in
	resolver and analyzer.

	codegen: Don't unconditionally add/return internal "result" variable
	Found by -Werror=unreachable-code

	See https://gitlab.gnome.org/GNOME/vala/issues/838

	codegen: Don't cause double-free due append_local_free() in uncaught-errors
	See https://gitlab.gnome.org/GNOME/vala/issues/838

	codegen: Don't append unreachable clean-up section of Block
	Found by -Werror=unreachable-code

	See https://gitlab.gnome.org/GNOME/vala/issues/838

2019-09-02  Jeremy Philippe  <jeremy.philippe@gmail.com>

	glib-2.0: Add missing "DestroysInstance" attributes to Mutex/Locker API

	glib-2.0: Fix MutexLocker binding

	glib-2.0: Use 'GStatBuf' as ctype for 'Stat'
	The documentation of g_stat () states:

	In Microsoft's compiler, by default struct stat means one with
	64-bit time fields while in MinGW struct stat is the legacy one
	with 32-bit fields.

	To hopefully clear up this mess, the gstdio.h header defines a
	type GStatBuf which is the appropriate struct type depending
	on the platform and/or compiler being used. On POSIX it is just
	struct stat, but note that even on POSIX platforms, stat() might
	be a macro.

	codewriter: Write "weak" modifier for properties

2019-09-02  Rico Tzschichholz  <ricotz@ubuntu.com>

	girparser/gidlparser: "value_owned = true" by default for property types
	This represents an internal implementation detail which is available from
	vala sources and it does not effect the ownership of property accessors.

	tests: Add dedicated "property ownership" tests

2019-09-01  Rico Tzschichholz  <ricotz@ubuntu.com>

	gstreamer: Update from 1.17.0+ git master

	gio-2.0: Drop metadata for NativeSocketAddress

2019-08-29  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Extend "pre- and post-condition" test to increase coverage

2019-08-28  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Move find_parent_type_symbol/get_this_type() to SemanticAnalyzer

	glib-2.0: Add new symbols from 2.62

	vapi: Update GIR-based bindings

	gstreamer: Update from 1.17.0+ git master

	Regenerate GIR-based bindings to pick up out/ref instance-parameters

	gtk4: Regenerate to pick up DestroyInstance attributes
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/836

	girparser: Improve evalution of instance-parameter information
	See https://gitlab.gnome.org/GNOME/vala/issues/836

2019-08-21  Rico Tzschichholz  <ricotz@ubuntu.com>

	libsoup-2.4: soup_auth_new is not a constructor but a factory method
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/791

	vapi: Update GIR-based bindings

	gstreamer: Update from 1.17.0+ git master

2019-08-19  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.45.91

2019-08-17  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Add missing closing brace/bracket in to_string()

2019-08-16  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Init formal_target_type of ArrayCreationExpr from InitializerList
	formal_target_type is expected to be set when inferring generic type
	parameters.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/835

2019-08-08  Rico Tzschichholz  <ricotz@ubuntu.com>

	linux: Add more Input and update UserspaceInput bindings
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/830

2019-08-06  Rico Tzschichholz  <ricotz@ubuntu.com>

	cairo: Add 1.16 symbols

2019-08-06  Michael Gratton  <mike@vee.net>

	sqlite3: Bind sqlite3_expanded_sql() and sqlite3_normalised_sql()

2019-08-05  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.45.90

2019-08-04  Mart Raudsepp  <leio@gentoo.org>

	valadoc: Install icons and doclets to API dependent folders
	This allows to co-install different valadoc versions as for the compiler.

2019-08-04  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

	glib-2.0: Add new symbols and deprecations from 2.62

2019-07-30  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Support static methods in error-domains
	Actually generate methods defined inside error-domains and state that
	instance methods are not supported yet.

	See https://gitlab.gnome.org/GNOME/vala/issues/829

2019-07-26  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Include required type-definition when casting from generic pointer
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/828

2019-07-25  David Hewitt  <davidmhewitt@gmail.com>

	x11: Fix return type of XInternAtoms and XGetAtomNames bindings

2019-07-24  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Move private type-struct to type-definition section

	codegen: Append line-break after G_DEFINE_AUTOPTR_CLEANUP_FUNC
	In addition to 38781a502b7381ef5383ae282fa33ddda9b493ed

2019-07-23  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Add GMutex and GRecMutex test to increase coverage

2019-07-22  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Use G_TYPE_CHECK_INSTANCE_CAST for comparisons with interfaces
	Avoids "comparison of distinct pointer types lacks a cast" warning for
	such cases.

	vapi: Update GIR-based bindings

	gstreamer: Update from 1.17.0+ git master

	girparser: Handle "function-macro" by skipping them
	See https://gitlab.gnome.org/GNOME/gobject-introspection/merge_requests/159

2019-07-21  Jim Mason  <jmason@ibinx.com>

	vala: Fix mixup of target_glib_major/minor in set_target_glib_version()
	Introduced with 3d926c1288b3ec4fd692dd1de6b91fb6c2090183

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/825

2019-07-19  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Implicit GValue cast requires GOBJECT profile
	This fixes criticals like
	    vala_data_type_get_data_type: assertion 'self != NULL' failed

	Regression of 7d771a0c07d63cb7605cbdc28dd8df50719731f8

	vala: NoAccessorMethod checks require GOBJECT profile
	This fixes criticals like
	    vala_class_real_is_subtype_of: assertion 't != NULL' failed

	Regression of a6441ec3c27e059d32501a4e09c937ac668f3ad9

	vala: 'construct' is not supported in POSIX profile
	This fixes criticals like
	    vala_class_real_is_subtype_of: assertion 't != NULL' failed

	Regession of 6c8c75f59024b32230b1c13ea344a568f19b86df

	posix: Fix return-value of mknod() and c-include for tcgetsid()
	Introduced with 535f2734d19875ccc1f170841b72eba0c4adad1e

2019-07-19  Christian Kellner  <christian@kellner.me>

	posix: add *at() calls and related constants
	Add missing calls from the *at() call family that was added in
	POSIX.1-2008, and related constants.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/823

2019-07-18  Rico Tzschichholz  <ricotz@ubuntu.com>

	webkit2gtk-4.0: Fix WebContext.initialize_notification_permissions()
	Bind it as WebContext.init_notification_permissions() to avoid conflict.

2019-07-16  Christian Kellner  <christian@kellner.me>

	glib-2.0: add MappedFile.from_fd constructor
	Add the missing 'g_mapped_file_new_from_fd' constructor, added
	with glib 2.32.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/824

2019-07-16  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.45.3

2019-07-09  Rico Tzschichholz  <ricotz@ubuntu.com>

	glib-2.0: Fix RecMutexLocker binding

	vapi: Update GIR-based bindings

	gtk4: Update to 3.96.0+b05d1676

	gstreamer: Update from 1.17.0+ git master

	glib-2.0: Add new symbols from 2.62

	glib-2.0: Add binding for g_strv_equal() (since 2.60)

2019-07-08  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Real structs are allowed by simple generics and passed as reference
	Add the required pointer-indirections to fix invalid memory accesses.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/819

2019-07-05  Jeremy Philippe  <jeremy.philippe@gmail.com>

	build: Pass -no-undefined when linking libcodegen
	This is required to build under MinGW (and presumably Cygwin).

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/820

2019-07-05  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Assign GValue result of function calls to temp-var on copy_value
	Regression of a94a28141e1f222d1da7e72bea4cd2d1e5242f41

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/819

2019-07-04  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Don't write declaration of extern symbols with given header
	The corresponding header will provide the declaration and therefore fix
	build with -Werror=redundant-decls.

	Set cheader_filename for implicit to_string() method of enums which is
	transformed into symbol calls from glib-object.h. This avoids the leak of
	an superfluous prototype of that method into the generated c code.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/745

	vala: Add Symbol.is_extern and use/set is accordingly
	This actually holds the information whether a symbol was declared
	with `extern` modificator. Adjust the setting of Symbol.external and
	usage of Symbol.external_package.

	See https://gitlab.gnome.org/GNOME/vala/issues/745

2019-07-01  Gran PC  <gran.pc@gmail.com>

	xtst: Fix signature of XTest.fake_relative_motion_event()
	See https://gitlab.gnome.org/GNOME/vala/merge_requests/67

2019-07-01  Rico Tzschichholz  <ricotz@ubuntu.com>

	glib-2.0: Bind strcmp0 as GLib.CompareFunc<string?>
	Allows proper usage with experimental non-null

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/810

2019-06-17  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.45.2

	tests: Null-terminate arrays for compatibility test of uint8 and uchar
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/809

	vala: Only warn about imcompatible type of external construct property
	This is to reduce the initial fallout.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/803

2019-06-15  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Update to 3.24.9~18177388

	gtk4: Update to 3.96.0+8cfdd6c5

	vapi: Update GIR-based bindings

	gstreamer: Update from 1.17.0+ git master

	girparser: Skip 'attribute' elements

2019-06-14  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Use non-deprecated GLib.ModuleFlags values

	genie: Make 'self' match its TokenType name

	girwriter: Report error on secondary top-level namespace to be written
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/805

	codegen: Use array_length of collection variable instead of expression

	libvaladoc: Use non-deprecated GLib.ModuleFlags values

2019-06-08  Rico Tzschichholz  <ricotz@ubuntu.com>

	gmodule-2.0: Build from GIR

2019-06-06  Rico Tzschichholz  <ricotz@ubuntu.com>

	glib-2.0: Add Unicode 12.0 symbols

2019-06-05  Rico Tzschichholz  <ricotz@ubuntu.com>

	genie: Drop unused "writeonly" token

	gtk4: Update to 3.96.0+69016825

2019-05-27  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk4: Update to 3.96.0+cfe648eb

	gstreamer: Update from 1.17.0+ git master

	webkit2gtk-4.0: Update to 2.25.1

2019-05-23  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

	gstreamer: Update from 1.17.0+ git master

2019-05-20  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.45.1

	vala: Strip "basedir" from Source.filename attribute
	This is gives some control over the written relative filenames and fixes
	make distcheck due of out-of-source-dir building.

	gtk4: Update to 3.96.0+322507f2

2019-05-17  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: When freeing local variables don't stop at "switch" on "continue"
	So distinguish between BreakStatement and ContinueStatement to make the
	correct decision in append_local_free().

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/799

2019-05-16  Rico Tzschichholz  <ricotz@ubuntu.com>

	clutter-1.0: Bind Margin, PaintVolume, Point, Rect and Size as struct
	Reverts 0cd8009728245300d32009fb029898b4a3ceed8a and its confusion
	regards "caller-allocates" out-parameters

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/795

	Regenerate GIDL-based bindings to fix getter ownership of struct properties

	Regenerate GIR-based bindings to fix getter ownership of struct properties

	vala: Trust "value_owned" when writing property getter

	vala: No-accessor struct properties in GLib.Object class must be owned
	Real structs are returned as heap-allocated structor by g_object_get() and
	not defining them with owned getter results in memory leaks.

	Additionally force DelegateType, PointerType and ValueType as unowned to
	preserve the current behaviour for binding generation.

	tests: Properties with NoAccessorMethod return heap-allocated structs

	cogl-1.0: Fix out-params in Cogl.get_modelview_matrix/projection_matrix/bitmasks
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/794

2019-05-15  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

	gstreamer: Update from 1.17.0+ git master

	gtk4: Update to 3.96.0+6a27fe15

2019-05-13  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Always use G_TYPE_CHECK_INSTANCE_TYPE for external symbols
	and get_ccode_type_check_function() for SourceFileType.SOURCE symbols.

2019-05-07  Rico Tzschichholz  <ricotz@ubuntu.com>

	girparser: Add support for string "ctype" metadata
	https://gitlab.gnome.org/GNOME/vala/issues/793

2019-05-06  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Support GObject properties with nullable GType-based struct type
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/792

2019-05-03  Rico Tzschichholz  <ricotz@ubuntu.com>

	girwriter: Write implicit fields for arrays and delegates

	girwriter: Write implicit parameters and properties for generics

2019-05-01  Rico Tzschichholz  <ricotz@ubuntu.com>

	compiler: Add OptionFlags.NO_ARG to deprecated "--thread" option
	It was defined with OptionArg.NONE and never took an extra argument.

	Regression of d8e810680f370fac7e9a5e80f8d94316707625c2

	vapi: Update GIR-based bindings

	gstreamer: Update from 1.17.0+ git master

	gtk4: Update to 3.94.0+724ec3ca

	girwriter: Only replace existing GIR files if they changed
	Same how it is done in CodeWriter.write_file()

2019-04-29  Rico Tzschichholz  <ricotz@ubuntu.com>

